Package twisted :: Package web :: Module widgets :: Class Sidebar

[show private | hide private]
[frames | no frames]

## Class Sidebar

      Widget --+
               |
    StreamWidget --+
                   |
                  Sidebar

Method Summary
| `__init__(self, highlightHeading, highlightSection)`
| ``display`(self, request)` Produce a list containing a single string. (inherited from `StreamWidget`)
| `getList(self)`
| `getTitle(self, request)` (inherited from `Widget`)
| ``stream`(self, write, request)` Call 'write' multiple times with a string argument to represent this widget.

Class Variable Summary
`str` | `activeHeadingColor`
`str` | `activeHeadingTextColor`
`str` | `activeSectionColor`
`str` | `activeSectionTextColor`
`list` | `bar`
`str` | `headingColor`
`str` | `headingTextColor`
`str` | `sectionColor`
`str` | `sectionTextColor`

Method Details

### stream(self, write, request)

Call 'write' multiple times with a string argument to represent this widget.

  Overrides:
    `twisted.web.widgets.StreamWidget.stream` (inherited documentation)

Class Variable Details

### activeHeadingColor

  Type:
    `str`
  Value:

        '000000'

### activeHeadingTextColor

  Type:
    `str`
  Value:

        'ffffff'

### activeSectionColor

  Type:
    `str`
  Value:

        '0000ff'

### activeSectionTextColor

  Type:
    `str`
  Value:

        '00ffff'

### bar

  Type:
    `list`
  Value:

        [['Twisted',
          ['mirror', 'http://coopweb.org/ssd/twisted/'],
          ['mailing list', 'cgi-bin/mailman/listinfo/twisted-python']]]

### headingColor

  Type:
    `str`
  Value:

        'ffffff'

### headingTextColor

  Type:
    `str`
  Value:

        '000000'

### sectionColor

  Type:
    `str`
  Value:

        '000088'

### sectionTextColor

  Type:
    `str`
  Value:

        '008888'

Generated by Epydoc 1.1 on Thu May 8 13:17:00 2003 | http://epydoc.sf.net